package com.atlassian.confluence.extra.workflow;

import com.atlassian.user.User;

import java.util.List;
import java.util.Collections;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 4/05/2005
 * Time: 14:46:17
 * To change this template use File | Settings | File Templates.
 */
public class InitOperation implements Operation
{
    public String getName()
    {
        return "init";
    }

    public int getId()
    {
        return 0;
    }

    public boolean isEditable()
    {
        return false;
    }

    public String getDescription()
    {
        return "Initialization";
    }

    public String getFullDescription()
    {
        return "Initialize the workflow";
    }

    public boolean availableToUserAndClient(User user, WorkflowClient client)
    {
        return true;
    }

    public boolean isConfigError()
    {
        return false;
    }

    public List getConditions()
    {
        return Collections.EMPTY_LIST;
    }
}
